View Issue Details

IDProjectCategoryView StatusLast Update
17018Bug reportsSurvey editingpublic2021-03-08 12:29
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version4.4.0-RC3 
Summary17018: No simple selector for Question type
DescriptionIn 3.X and before : we can use a simple selector : just a dropdown very quick to load and select
Steps To ReproduceSet **Question type selector: ** to simple globally AND personal settings
Edit a question
Additional InformationAnd there are way to add filter in this dropdown …
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.4.0-RC5
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2021-01-28 14:39

developer  

gabrieljenik

gabrieljenik

2021-02-18 22:31

manager   ~62377

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1773
gabrieljenik

gabrieljenik

2021-02-22 15:21

manager   ~62436

Discovered this while testing:
https://bugs.limesurvey.org/view.php?id=17120
gabrieljenik

gabrieljenik

2021-02-25 18:28

manager   ~62528

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31202
lime_release_bot

lime_release_bot

2021-03-08 12:29

administrator   ~62886

Fixed in Release 4.4.11+210301

Related Changesets

LimeSurvey: master f51aedba

2021-02-25 18:28:43

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17018: No simple selector for Question type (#1773)

* Fixed issue 17018: No simple selector for Question type

* Fixed issue 17018: No simple selector for Question type

Integrating question themes into the simple selector
Affected Issues
17018
mod - application/controllers/QuestionAdministrationController.php Diff File
mod - application/extensions/admin/PreviewModalWidget/assets/previewModalWidget.js Diff File
mod - application/extensions/admin/PreviewModalWidget/views/simple_grouped_select.php Diff File
mod - application/views/questionAdministration/create.php Diff File

Issue History

Date Modified Username Field Change
2021-01-28 14:39 DenisChenu New Issue
2021-01-28 14:39 DenisChenu File Added: Capture d’écran du 2021-01-28 14-37-59.png
2021-01-28 14:39 DenisChenu File Added: Capture d’écran_2021-01-28_14-36-38.png
2021-01-28 14:39 DenisChenu File Added: Capture d’écran du 2021-01-28 14-35-25.png
2021-01-28 20:32 cdorin Priority none => normal
2021-01-28 20:32 cdorin Status new => confirmed
2021-02-18 22:31 gabrieljenik Note Added: 62377
2021-02-22 15:21 gabrieljenik Issue cloned: 17120
2021-02-22 15:21 gabrieljenik Note Added: 62436
2021-02-25 18:28 gabrieljenik Changeset attached => LimeSurvey master f51aedba
2021-02-25 18:28 gabrieljenik Note Added: 62528
2021-02-25 18:28 gabrieljenik Assigned To => gabrieljenik
2021-02-25 18:28 gabrieljenik Resolution open => fixed
2021-02-25 19:37 ollehar Status confirmed => resolved
2021-03-08 12:29 lime_release_bot Note Added: 62886
2021-03-08 12:29 lime_release_bot Status resolved => closed